<?php
if (!defined('ABSPATH')) exit; // Exit if accessed directly
define('ELECTIO_ELEMENTOR_URL', plugins_url('/', __FILE__));
define('ELECTIO_ELEMENTOR_PATH', plugin_dir_path(__FILE__));
define('ELECTIO_ELEMENTOR_ROOT_URL', plugins_url(__FILE__));
define('ELECTIO_ELEMENTOR_PL_ROOT_URL', plugin_dir_url(__FILE__));
define('ELECTIO_ELEMENTOR_MODULES_PATH', ELECTIO_ELEMENTOR_PATH . 'modules/');
define('ELECTIO_PL_ASSETS', trailingslashit(ELECTIO_ELEMENTOR_PL_ROOT_URL . 'assets'));
define('ELECTIO_STICKY_ASSETS_URL', ELECTIO_ELEMENTOR_URL . 'assets/');
define('ELECTIO_HEADER_MODULES_URL', ELECTIO_ELEMENTOR_URL . 'modules/');
define('ELECTIO_ELEMENTOR_STICKY_TPL', ELECTIO_ELEMENTOR_PATH . 'library/sticky-header/');

define('ELECTIO_ROOT_FILE__', __FILE__);
define('ELECTIO_TEMPLATES_FOR_ELEMENTOR_VERSION', '2.9');

require_once ELECTIO_ELEMENTOR_PATH . 'inc/electio-elements-cat.php';

require_once ELECTIO_ELEMENTOR_PATH . 'inc/electio_home_banner_widgets_functions.php';
require_once ELECTIO_ELEMENTOR_PATH . 'inc/electio_blog_widgets_functions.php';
require_once ELECTIO_ELEMENTOR_PATH . 'inc/electio_reviews_widgets_functions.php';
require_once ELECTIO_ELEMENTOR_PATH . 'inc/electio-elementor-assets.php';
require_once ELECTIO_ELEMENTOR_PATH . 'inc/sassplate-custom-bg.php';
require_once ELECTIO_ELEMENTOR_PATH . 'library/template-library/index.php';

require_once ELECTIO_ELEMENTOR_PATH . 'inc/electio-custom-icon.php';

require_once ELECTIO_ELEMENTOR_PATH . 'inc/dividers.php';
require_once ELECTIO_ELEMENTOR_PATH . 'inc/electio-elementor-functions.php';
require_once ELECTIO_ELEMENTOR_PATH . 'inc/electio-elementor-section.php';
require_once ELECTIO_ELEMENTOR_PATH . 'widgets/widgets-function/hero-style.php';
require_once ELECTIO_ELEMENTOR_PATH . 'widgets/widgets-function/banner-style.php';
require_once ELECTIO_ELEMENTOR_PATH . 'widgets/widgets-function/catagory.php';
require_once ELECTIO_ELEMENTOR_PATH . 'widgets/widgets-function/testimonial.php';
require_once ELECTIO_ELEMENTOR_PATH . 'widgets/widgets-function/icon-box-style.php';
require_once ELECTIO_ELEMENTOR_PATH . 'widgets/widgets-function/blog-style.php';
require_once ELECTIO_ELEMENTOR_PATH . 'widgets/widgets-function/faq-style.php';
$ps = new ElectioElemSection();

function electio_register_new_controls($controls_manager) {

    require_once ELECTIO_ELEMENTOR_PATH . 'inc/gradient-control.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'inc/image-select-control.php';

    $controls_manager->register(new \Elementor\CustomControl\ImgSelector_Control());
    $controls_manager->register(new \Elementor\CustomControl\CustomGradient_Control());


}
add_action('elementor/controls/register', 'electio_register_new_controls');

function electio_elementor_widget_categorie($elements_manager) {

    $categories = [];
    $categories['electio-ele-widgets-cat'] =
        [
            'title' => 'Electio Elements',
            'icon'  => 'eicon-plug'
        ];

    $old_categories = $elements_manager->get_categories();

    $categories = array_merge($categories, $old_categories);

    $set_categories = function ( $categories ) {
        $this->categories = $categories;
    };

    $set_categories->call( $elements_manager, $categories );


}
add_action('elementor/elements/categories_registered', 'electio_elementor_widget_categorie');



function electio_elementor_elements() {
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-hero-section.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-catagory.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-banner.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-feedback.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-deal-banner.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-icon-box.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-blog.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-brand-logo.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-newsletter.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-flash-sell-grid.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-product-grid.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-product-list.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-product-filter.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-product-tab.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-product-list-with-video.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-faq.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-about-us.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/electio-contact.php';
    require_once ELECTIO_ELEMENTOR_PATH . 'widgets/menu_icon_list.php';
    
    
    
}
add_action('elementor/widgets/register', 'electio_elementor_elements');


add_action('elementor/editor/after_enqueue_styles', 'electio_widget_icon_style');
function electio_widget_icon_style(){
    $cs_icon = plugins_url( 'widgets/t_icon.svg', __FILE__ );
    wp_add_inline_style( 'elementor-editor', '.elementor-element .icon .teconce-custom-icon{content: url( '.$cs_icon.');width: 28px;}' );
}