<?php
namespace Elementor;

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) exit;

/*--------------------------
*   Class Iconic Icon Manager
* -------------------------*/
class electio_icosax_Manager{

    private static $instance = null;

    public static function instance() {
        if ( is_null( self::$instance ) ) {
            self::$instance = new self();
        }
        return self::$instance;
    }

    function __construct(){
        $this->init();
    }

    public function init() {

        // Custom icon filter
        add_filter( 'elementor/icons_manager/additional_tabs', [ $this,'electio_icosax'] );

    }

    public function electio_icosax( $icosaxs_args = array() ) {

        // Append new icons
        $icosaxs = array(
            'icon-spcial-arrow-left',
            'icon-spcial-arrow-right',
            'icon-sun-fog',
            'icon-sun',
            'icon-tag-2',
            'icon-tag-cross',
            'icon-tag-right',
            'icon-tag-user',
            'icon-tag',
            'icon-task-square',
            'icon-task',
            'icon-teacher',
            'icon-text-block',
            'icon-triangle',
            'icon-truck-fast',
            'icon-truck-remove',
            'icon-truck-tick',
            'icon-truck-time',
            'icon-truck',
            'icon-trush-square',
            'icon-undo',
            'icon-unlimited',
            'icon-unlock',
            'icon-user-add',
            'icon-user-cirlce-add',
            'icon-user-edit',
            'icon-user-minus',
            'icon-user-octagon',
            'icon-user-remove',
            'icon-user-search',
            'icon-user-square',
            'icon-user-tag',
            'icon-user-tick',
            'icon-user',
            'icon-verify',
            'icon-video-add',
            'icon-video-circle',
            'icon-video-horizontal',
            'icon-video-octagon',
            'icon-video-play',
            'icon-video-remove',
            'icon-video-slash',
            'icon-video-square',
            'icon-video-tick',
            'icon-video-time',
            'icon-video-vertical',
            'icon-video',
            'icon-voice-cricle',
            'icon-voice-square',
            'icon-volume-cross',
            'icon-volume-high',
            'icon-volume-low-1',
            'icon-volume-low',
            'icon-volume-mute',
            'icon-volume-slash',
            'icon-volume-up',
            'icon-wallet-1',
            'icon-wallet-2',
            'icon-wallet-3',
            'icon-wallet-add-1',
            'icon-wallet-add',
            'icon-wallet-check',
            'icon-wallet-minus',
            'icon-wallet-money',
            'icon-wallet-remove',
            'icon-wallet-search',
            'icon-wallet',
            'icon-warning-2',
            'icon-watch-status',
            'icon-watch',
            'icon-weight-1',
            'icon-weight',
            'icon-wifi-square',
            'icon-wifi',
            'icon-wind-2',
            'icon-wind',
            'icon-woman',
            'icon-repeate-music',
            'icon-repeate-one',
            'icon-reserve',
            'icon-rotate-left-1',
            'icon-rotate-left',
            'icon-rotate-right-1',
            'icon-rotate-right',
            'icon-route-square',
            'icon-routing-2',
            'icon-routing',
            'icon-row-horizontal',
            'icon-row-vertical',
            'icon-ruler',
            'icon-rulerpen',
            'icon-safe-home',
            'icon-sagittarius',
            'icon-save-2',
            'icon-save-add',
            'icon-save-minus',
            'icon-save-remove',
            'icon-scan-barcode',
            'icon-scan',
            'icon-scanner',
            'icon-scanning',
            'icon-scissor-1',
            'icon-scissor',
            'icon-screenmirroring',
            'icon-scroll',
            'icon-search-favorite-1',
            'icon-search-favorite',
            'icon-search-normal-1',
            'icon-search-normal',
            'icon-search-status-1',
            'icon-search-status',
            'icon-search-zoom-in-1',
            'icon-search-zoom-in',
            'icon-search-zoom-out-1',
            'icon-search-zoom-out',
            'icon-security-card',
            'icon-security-safe',
            'icon-security-time',
            'icon-security-user',
            'icon-security',
            'icon-send-1',
            'icon-send-2',
            'icon-send-sqaure-2',
            'icon-send-square',
            'icon-send',
            'icon-setting-2',
            'icon-setting-3',
            'icon-setting-4',
            'icon-setting-5',
            'icon-setting',
            'icon-settings',
            'icon-shapes-1',
            'icon-shapes',
            'icon-share',
            'icon-shield-cross',
            'icon-shield-search',
            'icon-shield-security',
            'icon-shield-slash',
            'icon-shield-tick',
            'icon-ship',
            'icon-shop-add',
            'icon-shop-remove',
            'icon-shop',
            'icon-shopping-bag',
            'icon-shopping-cart',
            'icon-shuffle',
            'icon-sidebar-bottom',
            'icon-sidebar-left',
            'icon-sidebar-right',
            'icon-sidebar-top',
            'icon-signpost',
            'icon-simcard-1',
            'icon-simcard-2',
            'icon-simcard',
            'icon-size',
            'icon-slash',
            'icon-slider-horizontal-1',
            'icon-slider-horizontal',
            'icon-slider-vertical-1',
            'icon-slider-vertical',
            'icon-slider',
            'icon-smallcaps',
            'icon-smart-car',
            'icon-smart-home',
            'icon-smileys',
            'icon-sms-edit',
            'icon-sms-notification',
            'icon-sms-search',
            'icon-sms-star',
            'icon-sms-tracking',
            'icon-sms',
            'icon-sort',
            'icon-sound',
            'icon-speaker',
            'icon-speedometer',
            'icon-star-1',
            'icon-star-slash',
            'icon-star',
            'icon-status-up',
            'icon-status',
            'icon-sticker',
            'icon-stickynote',
            'icon-stop-circle',
            'icon-stop',
            'icon-story',
            'icon-strongbox-2',
            'icon-strongbox',
            'icon-subtitle',
            'icon-sun-1',
            'icon-text-bold',
            'icon-text-italic',
            'icon-text-underline',
            'icon-text',
            'icon-textalign-center',
            'icon-textalign-justifycenter',
            'icon-textalign-justifyleft',
            'icon-textalign-justifyright',
            'icon-textalign-left',
            'icon-textalign-right',
            'icon-tick-circle',
            'icon-tick-square',
            'icon-ticket-2',
            'icon-ticket-discount',
            'icon-ticket-expired',
            'icon-ticket-star',
            'icon-ticket',
            'icon-timer-1',
            'icon-timer-pause',
            'icon-timer-start',
            'icon-timer',
            'icon-toggle-off-circle',
            'icon-toggle-off',
            'icon-toggle-on-circle',
            'icon-toggle-on',
            'icon-trade',
            'icon-transaction-minus',
            'icon-translate',
            'icon-trash',
            'icon-tree',
            'icon-trend-down',
            'icon-trend-up',
            'icon-message-add',
            'icon-message-circle',
            'icon-message-edit',
            'icon-message-favorite',
            'icon-message-minus',
            'icon-message-notif',
            'icon-message-programming',
            'icon-message-question',
            'icon-message-remove',
            'icon-message-search',
            'icon-message-square',
            'icon-message-text-1',
            'icon-message-text',
            'icon-message-tick',
            'icon-message-time',
            'icon-message',
            'icon-messages-1',
            'icon-messages-2',
            'icon-messages-3',
            'icon-messages',
            'icon-microphone-2',
            'icon-microphone-slash-1',
            'icon-microphone-slash',
            'icon-microphone',
            'icon-microscope',
            'icon-milk',
            'icon-mini-music-sqaure',
            'icon-minus-cirlce',
            'icon-minus-square',
            'icon-minus',
            'icon-mirror',
            'icon-mirroring-screen',
            'icon-mobile-programming',
            'icon-mobile',
            'icon-money-2',
            'icon-money-3',
            'icon-money-4',
            'icon-money-add',
            'icon-money-change',
            'icon-money-forbidden',
            'icon-money-recive',
            'icon-money-remove',
            'icon-money-send',
            'icon-money-tick',
            'icon-money-time',
            'icon-money',
            'icon-moneys',
            'icon-monitor-mobbile',
            'icon-monitor-recorder',
            'icon-monitor',
            'icon-moon',
            'icon-more-2',
            'icon-more-circle',
            'icon-more-square',
            'icon-more',
            'icon-mouse-1',
            'icon-mouse-circle',
            'icon-mouse-square',
            'icon-mouse',
            'icon-music-circle',
            'icon-music-dashboard',
            'icon-music-filter',
            'icon-music-library-2',
            'icon-music-play',
            'icon-music-playlist',
            'icon-music-square-add',
            'icon-music-square-remove',
            'icon-music-square-search',
            'icon-music-square',
            'icon-music',
            'icon-musicnote',
            'icon-next',
            'icon-note-1',
            'icon-note-2',
            'icon-note-21',
            'icon-note-add',
            'icon-note-favorite',
            'icon-note-remove',
            'icon-note-square',
            'icon-note-text',
            'icon-note',
            'icon-notification-1',
            'icon-notification-bing',
            'icon-notification-favorite',
            'icon-notification-status',
            'icon-notification',
            'icon-omega-circle',
            'icon-omega-square',
            'icon-paintbucket',
            'icon-paperclip-2',
            'icon-paperclip',
            'icon-password-check',
            'icon-path-2',
            'icon-path-square',
            'icon-path',
            'icon-pause-circle',
            'icon-pause',
            'icon-pen-add',
            'icon-pen-close',
            'icon-pen-remove',
            'icon-pen-tool-2',
            'icon-pen-tool',
            'icon-people',
            'icon-percentage-circle',
            'icon-percentage-square',
            'icon-personalcard',
            'icon-pet',
            'icon-pharagraphspacing',
            'icon-picture-frame',
            'icon-play-add',
            'icon-play-circle',
            'icon-play-cricle',
            'icon-play-remove',
            'icon-play',
            'icon-presention-chart',
            'icon-previous',
            'icon-printer-slash',
            'icon-printer',
            'icon-profile-2user',
            'icon-profile-add',
            'icon-profile-circle',
            'icon-profile-delete',
            'icon-profile-remove',
            'icon-profile-tick',
            'icon-programming-arrow',
            'icon-programming-arrows',
            'icon-quote-down-circle',
            'icon-quote-down-square',
            'icon-quote-down',
            'icon-quote-up-circle',
            'icon-quote-up-square',
            'icon-quote-up',
            'icon-radar-1',
            'icon-radar-2',
            'icon-radar',
            'icon-radio',
            'icon-ram-2',
            'icon-ram',
            'icon-ranking-1',
            'icon-ranking',
            'icon-receipt-1',
            'icon-receipt-2-1',
            'icon-receipt-2',
            'icon-receipt-add',
            'icon-receipt-discount',
            'icon-receipt-disscount',
            'icon-receipt-edit',
            'icon-receipt-item',
            'icon-receipt-minus',
            'icon-receipt-search',
            'icon-receipt-square',
            'icon-receipt-text',
            'icon-receipt',
            'icon-receive-square-2',
            'icon-receive-square',
            'icon-received',
            'icon-record-circle',
            'icon-record',
            'icon-recovery-convert',
            'icon-redo',
            'icon-refresh-2',
            'icon-refresh-circle',
            'icon-refresh-left-square',
            'icon-refresh-right-square',
            'icon-refresh-square-2',
            'icon-refresh',
            'icon-repeat-circle',
            'icon-repeat',
            'icon-direct-notification',
            'icon-direct-right',
            'icon-direct-send',
            'icon-direct-up',
            'icon-direct',
            'icon-directbox-default',
            'icon-directbox-notif',
            'icon-directbox-receive',
            'icon-directbox-send',
            'icon-discount-circle',
            'icon-discount-shape',
            'icon-discover-1',
            'icon-discover',
            'icon-dislike',
            'icon-gallery-favorite',
            'icon-gallery-import',
            'icon-gallery-remove',
            'icon-gallery-slash',
            'icon-gallery-tick',
            'icon-gallery',
            'icon-game',
            'icon-gameboy',
            'icon-gas-station',
            'icon-gemini-2',
            'icon-gemini',
            'icon-ghost',
            'icon-gift',
            'icon-glass-1',
            'icon-glass',
            'icon-global-edit',
            'icon-global-refresh',
            'icon-global-search',
            'icon-global',
            'icon-gps-slash',
            'icon-gps',
            'icon-grammerly',
            'icon-graph',
            'icon-grid-1',
            'icon-grid-2',
            'icon-grid-3',
            'icon-grid-4',
            'icon-grid-5',
            'icon-grid-6',
            'icon-grid-7',
            'icon-grid-8',
            'icon-grid-9',
            'icon-grid-edit',
            'icon-grid-eraser',
            'icon-grid-lock',
            'icon-happyemoji',
            'icon-hashtag-1',
            'icon-hashtag-down',
            'icon-hashtag-up',
            'icon-hashtag',
            'icon-headphone',
            'icon-headphones',
            'icon-health',
            'icon-heart-add',
            'icon-heart-circle',
            'icon-heart-edit',
            'icon-heart-remove',
            'icon-heart-search',
            'icon-heart-slash',
            'icon-heart-tick',
            'icon-heart',
            'icon-hierarchy-2',
            'icon-hierarchy-3',
            'icon-hierarchy-square-2',
            'icon-hierarchy-square-3',
            'icon-hierarchy-square',
            'icon-hierarchy',
            'icon-home-1',
            'icon-home-2',
            'icon-home-hashtag',
            'icon-home-trend-down',
            'icon-home-trend-up',
            'icon-home-wifi',
            'icon-home',
            'icon-hospital',
            'icon-house-2',
            'icon-house',
            'icon-image',
            'icon-import-1',
            'icon-import-2',
            'icon-import-3',
            'icon-import',
            'icon-info-circle',
            'icon-information',
            'icon-instagram',
            'icon-judge',
            'icon-kanban',
            'icon-key-square',
            'icon-key',
            'icon-keyboard-open',
            'icon-keyboard',
            'icon-lamp-1',
            'icon-lamp-charge',
            'icon-lamp-on',
            'icon-lamp-slash',
            'icon-lamp',
            'icon-language-circle',
            'icon-language-square',
            'icon-layer',
            'icon-level',
            'icon-lifebuoy',
            'icon-like-1',
            'icon-like-dislike',
            'icon-like-shapes',
            'icon-like-tag',
            'icon-like',
            'icon-link-1',
            'icon-link-2',
            'icon-link-21',
            'icon-link-circle',
            'icon-link-square',
            'icon-link',
            'icon-location-add',
            'icon-location-cross',
            'icon-location-minus',
            'icon-location-slash',
            'icon-location-tick',
            'icon-location',
            'icon-lock-1',
            'icon-lock-circle',
            'icon-lock-slash',
            'icon-lock',
            'icon-login-1',
            'icon-login',
            'icon-logout-1',
            'icon-logout',
            'icon-lovely',
            'icon-magic-star',
            'icon-magicpen',
            'icon-main-component',
            'icon-man',
            'icon-map-1',
            'icon-map',
            'icon-mask-1',
            'icon-mask-2',
            'icon-mask',
            'icon-math',
            'icon-maximize-1',
            'icon-maximize-2',
            'icon-maximize-3',
            'icon-maximize-4',
            'icon-maximize-21',
            'icon-maximize-circle',
            'icon-maximize',
            'icon-medal-star',
            'icon-medal',
            'icon-menu-1',
            'icon-menu-board',
            'icon-menu',
            'icon-message-2',
            'icon-message-add-1',
            'icon-card-slash',
            'icon-card-tick-1',
            'icon-card-tick',
            'icon-card',
            'icon-cards',
            'icon-category-2',
            'icon-category',
            'icon-cd',
            'icon-chart-1',
            'icon-chart-2',
            'icon-chart-3',
            'icon-chart-21',
            'icon-chart-fail',
            'icon-chart-square',
            'icon-chart-success',
            'icon-chart',
            'icon-check',
            'icon-chrome',
            'icon-clipboard-close',
            'icon-clipboard-export',
            'icon-clipboard-import',
            'icon-clipboard-text',
            'icon-clipboard-tick',
            'icon-clipboard',
            'icon-clock-1',
            'icon-clock',
            'icon-close-circle',
            'icon-close-square',
            'icon-cloud-add',
            'icon-cloud-change',
            'icon-cloud-connection',
            'icon-cloud-cross',
            'icon-cloud-drizzle',
            'icon-cloud-fog',
            'icon-cloud-lightning',
            'icon-cloud-minus',
            'icon-cloud-notif',
            'icon-cloud-plus',
            'icon-cloud-remove',
            'icon-cloud-snow',
            'icon-cloud-sunny',
            'icon-cloud',
            'icon-code-1',
            'icon-code-circle',
            'icon-code',
            'icon-coffee',
            'icon-coin-1',
            'icon-coin',
            'icon-color-swatch',
            'icon-colorfilter',
            'icon-colors-square',
            'icon-command-square',
            'icon-command',
            'icon-component',
            'icon-computing',
            'icon-convert-3d-cube',
            'icon-convert-card',
            'icon-convert',
            'icon-convertshape-2',
            'icon-convertshape',
            'icon-copy-success',
            'icon-copy',
            'icon-copyright',
            'icon-courthouse',
            'icon-cpu-charge',
            'icon-cpu-setting',
            'icon-cpu',
            'icon-creative-commons',
            'icon-crop',
            'icon-crown-1',
            'icon-crown',
            'icon-cup',
            'icon-danger',
            'icon-data-2',
            'icon-data',
            'icon-designtools',
            'icon-device-message',
            'icon-devices-1',
            'icon-devices',
            'icon-diagram',
            'icon-diamonds',
            'icon-direct-down',
            'icon-direct-inbox',
            'icon-direct-left',
            'icon-direct-normal',
            'icon-document-1',
            'icon-document-cloud',
            'icon-document-code-2',
            'icon-document-code',
            'icon-document-copy',
            'icon-document-download',
            'icon-document-favorite',
            'icon-document-filter',
            'icon-document-forward',
            'icon-document-like',
            'icon-document-normal',
            'icon-document-previous',
            'icon-document-sketch',
            'icon-document-text-1',
            'icon-document-text',
            'icon-document-upload',
            'icon-document',
            'icon-dollar-circle',
            'icon-dollar-square',
            'icon-driver-2',
            'icon-driver-refresh',
            'icon-driver',
            'icon-driving',
            'icon-drop',
            'icon-edit-2',
            'icon-edit',
            'icon-electricity',
            'icon-element-2',
            'icon-element-3',
            'icon-element-4',
            'icon-element-equal',
            'icon-element-plus',
            'icon-emoji-happy',
            'icon-emoji-normal',
            'icon-emoji-sad',
            'icon-empty-wallet-add',
            'icon-empty-wallet-change',
            'icon-empty-wallet-remove',
            'icon-empty-wallet-tick',
            'icon-empty-wallet-time',
            'icon-empty-wallet',
            'icon-eraser-1',
            'icon-eraser',
            'icon-export-1',
            'icon-export-2',
            'icon-export-3',
            'icon-export',
            'icon-external-drive',
            'icon-eye-slash',
            'icon-eye',
            'icon-fatrows',
            'icon-favorite-chart',
            'icon-filter-add',
            'icon-filter-edit',
            'icon-filter-remove',
            'icon-filter-search',
            'icon-filter-square',
            'icon-filter-tick',
            'icon-filter',
            'icon-finger-cricle',
            'icon-finger-scan',
            'icon-firstline',
            'icon-flag-2',
            'icon-flag',
            'icon-flash-1',
            'icon-flash-circle-1',
            'icon-flash-circle',
            'icon-flash-slash',
            'icon-flash',
            'icon-folder-2',
            'icon-folder-add',
            'icon-folder-cloud',
            'icon-folder-connection',
            'icon-folder-cross',
            'icon-folder-favorite',
            'icon-folder-minus',
            'icon-folder-open',
            'icon-folder',
            'icon-forbidden-2',
            'icon-forbidden',
            'icon-format-circle',
            'icon-format-square',
            'icon-forward-5-seconds',
            'icon-forward-10-seconds',
            'icon-forward-15-seconds',
            'icon-forward-item',
            'icon-forward-square',
            'icon-forward',
            'icon-frame-1',
            'icon-frame-2',
            'icon-frame-3',
            'icon-frame-4',
            'icon-frame',
            'icon-gallery-add',
            'icon-gallery-edit',
            'icon-gallery-export',
            'icon-d-cube-scan',
            'icon-d-rotate',
            'icon-d-square',
            'icon-dcube',
            'icon-square',
            'icon-support',
            'icon-activity',
            'icon-add-circle',
            'icon-add-square',
            'icon-add',
            'icon-additem',
            'icon-airdrop',
            'icon-airplane-square',
            'icon-airplane',
            'icon-airpod',
            'icon-airpods',
            'icon-alarm',
            'icon-align-bottom',
            'icon-align-horizontally',
            'icon-align-left',
            'icon-align-right',
            'icon-align-vertically',
            'icon-aquarius',
            'icon-archive-1',
            'icon-archive-2',
            'icon-archive-add',
            'icon-archive-book',
            'icon-archive-minus',
            'icon-archive-slash',
            'icon-archive-tick',
            'icon-archive',
            'icon-arrange-circle-2',
            'icon-arrange-circle',
            'icon-arrange-square-2',
            'icon-arrange-square',
            'icon-arrow-2',
            'icon-arrow-3',
            'icon-arrow-bottom',
            'icon-arrow-circle-down',
            'icon-arrow-circle-left',
            'icon-arrow-circle-right',
            'icon-arrow-circle-up',
            'icon-arrow-down-1',
            'icon-arrow-down-2',
            'icon-arrow-down',
            'icon-arrow-left-1',
            'icon-arrow-left-2',
            'icon-arrow-left-3',
            'icon-arrow-left',
            'icon-arrow-right-1',
            'icon-arrow-right-2',
            'icon-arrow-right-3',
            'icon-arrow-right',
            'icon-arrow-square-down',
            'icon-arrow-square-left',
            'icon-arrow-square-right',
            'icon-arrow-square-up',
            'icon-arrow-square',
            'icon-arrow-swap-horizontal',
            'icon-arrow-swap',
            'icon-arrow-up-1',
            'icon-arrow-up-2',
            'icon-arrow-up-3',
            'icon-arrow-up',
            'icon-arrow',
            'icon-attach-circle',
            'icon-attach-square',
            'icon-audio-square',
            'icon-autobrightness',
            'icon-award',
            'icon-back-square',
            'icon-backward-5-seconds',
            'icon-backward-10-seconds',
            'icon-backward-15-seconds',
            'icon-backward-item',
            'icon-backward',
            'icon-bag-2',
            'icon-bag-cross-1',
            'icon-bag-cross',
            'icon-bag-happy',
            'icon-bag-tick-2',
            'icon-bag-tick',
            'icon-bag-timer',
            'icon-bag',
            'icon-bank',
            'icon-barcode',
            'icon-battery-3full',
            'icon-battery-charging',
            'icon-battery-disable',
            'icon-battery-empty-1',
            'icon-battery-empty',
            'icon-battery-full',
            'icon-bezier',
            'icon-bill',
            'icon-bitcoin-card',
            'icon-bitcoin-convert',
            'icon-bitcoin-refresh',
            'icon-blend-2',
            'icon-blend',
            'icon-bluetooth-2',
            'icon-bluetooth-circle',
            'icon-bluetooth-rectangle',
            'icon-bluetooth',
            'icon-blur',
            'icon-book-1',
            'icon-book-saved',
            'icon-book-square',
            'icon-book',
            'icon-bookmark-2',
            'icon-bookmark',
            'icon-box-1',
            'icon-box-2',
            'icon-box-add',
            'icon-box-remove',
            'icon-box-search',
            'icon-box-tick',
            'icon-box-time',
            'icon-box',
            'icon-briefcase',
            'icon-brifecase-cross',
            'icon-brifecase-tick',
            'icon-brifecase-timer',
            'icon-broom',
            'icon-brush-1',
            'icon-brush-2',
            'icon-brush-3',
            'icon-brush-4',
            'icon-brush',
            'icon-bubble',
            'icon-bucket-circle',
            'icon-bucket-square',
            'icon-bucket',
            'icon-building-3',
            'icon-building-4',
            'icon-building',
            'icon-buildings-2',
            'icon-buildings',
            'icon-buliding',
            'icon-bus',
            'icon-buy-crypto',
            'icon-cake',
            'icon-calculator',
            'icon-calendar-1',
            'icon-calendar-2',
            'icon-calendar-add',
            'icon-calendar-circle',
            'icon-calendar-edit',
            'icon-calendar-remove',
            'icon-calendar-search',
            'icon-calendar-tick',
            'icon-calendar',
            'icon-call-add',
            'icon-call-calling',
            'icon-call-incoming',
            'icon-call-minus',
            'icon-call-outgoing',
            'icon-call-received',
            'icon-call-remove',
            'icon-call-slash',
            'icon-call',
            'icon-camera-slash',
            'icon-camera',
            'icon-candle-2',
            'icon-candle',
            'icon-car',
            'icon-card-add',
            'icon-card-coin',
            'icon-card-edit',
            'icon-card-pos',
            'icon-card-receive',
            'icon-card-remove-1',
            'icon-card-remove',
            'icon-card-send',
            'icon-Stroke-58',
            'icon-Combined-Shape',
            'icon-Shape',
            'icon-facebook',
            'icon-envelope-solid',
            'icon-send-sqaure-21',
            'icon-send-square1',
            'icon-send1',
            'icon-setting-21',
            'icon-setting-31',
            'icon-setting-41',
            'icon-setting-51',
            'icon-setting1',
            'icon-settings1',
            'icon-shapes-11',
            'icon-shapes-2',
            'icon-shapes1',
            'icon-share1',
            'icon-shield-cross1',
            'icon-shield-search1',
            'icon-shield-security1',
            'icon-shield-slash1',
            'icon-shield-tick1',
            'icon-shield',
            'icon-ship1',
            'icon-shop-add1',
            'icon-shop-remove1',
            'icon-shop1',
            'icon-shopping-bag1',
            'icon-shopping-cart1',
            'icon-sidebar-bottom1',
            'icon-sidebar-left1',
            'icon-sidebar-right1',
            'icon-sidebar-top1',
            'icon-signpost1',
            'icon-simcard-11',
            'icon-simcard-21',
            'icon-simcard1',
            'icon-size1',
            'icon-slash1',
            'icon-slider-horizontal-11',
            'icon-slider-horizontal1',
            'icon-slider-vertical-11',
            'icon-slider-vertical1',
            'icon-slider1',
            'icon-smallcaps1',
            'icon-smart-car1',
            'icon-smart-home1',
            'icon-smileys1',
            'icon-sms-edit1',
            'icon-sms-notification1',
            'icon-sms-search1',
            'icon-sms-star1',
            'icon-sms-tracking1',
            'icon-sms1',
            'icon-sort1',
            'icon-sound1',
            'icon-speaker1',
            'icon-speedometer1',
            'icon-star-11',
            'icon-star-slash1',
            'icon-star1',
            'icon-status-up1',
            'icon-status1',
            'icon-sticker1',
            'icon-stickynote1',
            'icon-stop-circle1',
            'icon-stop1',
            'icon-story1',
            'icon-strongbox-21',
            'icon-strongbox1',
            'icon-subtitle1',
            'icon-sun-11',
            'icon-sun-fog1',
            'icon-sun1',
            'icon-tag-21',
            'icon-tag-cross1',
            'icon-tag-right1',
            'icon-tag-user1',
            'icon-tag1',
            'icon-task-square1',
            'icon-task1',
            'icon-teacher1',
            'icon-text-block1',
            'icon-text-bold1',
            'icon-text-italic1',
            'icon-text-underline1',
            'icon-text1',
            'icon-textalign-center1',
            'icon-textalign-justifycenter1',
            'icon-textalign-justifyleft1',
            'icon-textalign-justifyright1',
            'icon-textalign-left1',
            'icon-textalign-right1',
            'icon-tick-circle1',
            'icon-tick-square1',
            'icon-ticket-21',
            'icon-ticket-discount1',
            'icon-ticket-expired1',
            'icon-ticket-star1',
            'icon-ticket1',
            'icon-timer-11',
            'icon-timer-pause1',
            'icon-timer-start1',
            'icon-timer1',
            'icon-toggle-off-circle1',
            'icon-toggle-off1',
            'icon-toggle-on-circle1',
            'icon-toggle-on1',
            'icon-trade1',
            'icon-transaction-minus1',
            'icon-translate1',
            'icon-trash1',
            'icon-tree1',
            'icon-trend-down1',
            'icon-trend-up1',
            'icon-triangle1',
            'icon-truck-remove1',
            'icon-truck-tick1',
            'icon-truck-time1',
            'icon-trush-square1',
            'icon-undo1',
            'icon-unlimited1',
            'icon-unlock1',
            'icon-user-add1',
            'icon-user-cirlce-add1',
            'icon-user-edit1',
            'icon-user-minus1',
            'icon-user-octagon1',
            'icon-user-remove1',
            'icon-user-search1',
            'icon-user-square1',
            'icon-user-tag1',
            'icon-user-tick1',
            'icon-user1',
            'icon-verify1',
            'icon-video-add1',
            'icon-video-circle1',
            'icon-video-horizontal1',
            'icon-video-octagon1',
            'icon-video-play1',
            'icon-video-remove1',
            'icon-video-slash1',
            'icon-video-square1',
            'icon-video-tick1',
            'icon-video-time1',
            'icon-video-vertical1',
            'icon-video1',
            'icon-voice-cricle1',
            'icon-voice-square1',
            'icon-volume-cross1',
            'icon-volume-high1',
            'icon-volume-low-11',
            'icon-volume-low1',
            'icon-volume-mute1',
            'icon-volume-slash1',
            'icon-volume-up1',
            'icon-wallet-11',
            'icon-wallet-21',
            'icon-wallet-31',
            'icon-wallet-add-11',
            'icon-wallet-add1',
            'icon-wallet-check1',
            'icon-wallet-minus1',
            'icon-wallet-money1',
            'icon-wallet-remove1',
            'icon-wallet-search1',
            'icon-wallet1',
            'icon-warning-21',
            'icon-watch-status1',
            'icon-watch1',
            'icon-weight-11',
            'icon-grid-51',
            'icon-grid-61',
            'icon-grid-71',
            'icon-grid-81',
            'icon-grid-91',
            'icon-grid-edit1',
            'icon-grid-eraser1',
            'icon-grid-lock1',
            'icon-group-1',
            'icon-group-2',
            'icon-group-4',
            'icon-group-5',
            'icon-group-6',
            'icon-group-7',
            'icon-group-8',
            'icon-group-9',
            'icon-group-10',
            'icon-group-11',
            'icon-group',
            'icon-happyemoji1',
            'icon-hashtag-11',
            'icon-hashtag-down1',
            'icon-hashtag-up1',
            'icon-hashtag1',
            'icon-headphone1',
            'icon-headphones1',
            'icon-heart-add1',
            'icon-heart-circle1',
            'icon-heart-edit1',
            'icon-heart-remove1',
            'icon-heart-search1',
            'icon-heart-slash1',
            'icon-heart-tick1',
            'icon-heart1',
            'icon-music-square1',
            'icon-music1',
            'icon-musicnote1',
            'icon-notification-status1',
            'icon-notification1',
            'icon-omega-circle-1',
            'icon-pen-close-1',
            'icon-pen-close1',
            'icon-pen-remove-1',
            'icon-pen-remove1',
            'icon-pen-tool-1',
            'icon-pen-tool-2-1',
            'icon-pen-tool-21',
            'icon-pen-tool1',
            'icon-people1',
            'icon-percentage-square1',
            'icon-personalcard1',
            'icon-pet1',
            'icon-pharagraphspacing1',
            'icon-picture-frame1',
            'icon-play-add1',
            'icon-play-circle1',
            'icon-play-cricle1',
            'icon-play-remove1',
            'icon-play1',
            'icon-presention-chart1',
            'icon-previous1',
            'icon-printer-slash1',
            'icon-printer1',
            'icon-profile-2user1',
            'icon-profile-add1',
            'icon-profile-circle1',
            'icon-profile-delete1',
            'icon-profile-remove1',
            'icon-profile-tick1',
            'icon-profile',
            'icon-programming-arrow1',
            'icon-programming-arrows1',
            'icon-quote-down-circle1',
            'icon-quote-down-square1',
            'icon-quote-down1',
            'icon-quote-up-circle1',
            'icon-quote-up-square1',
            'icon-quote-up1',
            'icon-radar-11',
            'icon-radar-21',
            'icon-radar1',
            'icon-radio1',
            'icon-ram-21',
            'icon-ram1',
            'icon-ranking-11',
            'icon-ranking1',
            'icon-receipt-11',
            'icon-receipt-2-11',
            'icon-receipt-21',
            'icon-receipt-add1',
            'icon-receipt-discount1',
            'icon-receipt-disscount1',
            'icon-receipt-edit1',
            'icon-receipt-item1',
            'icon-receipt-minus1',
            'icon-receipt-search1',
            'icon-receipt-square1',
            'icon-receipt-text1',
            'icon-receipt1',
            'icon-receive-square-21',
            'icon-receive-square1',
            'icon-received1',
            'icon-record-circle1',
            'icon-record1',
            'icon-recovery-convert1',
            'icon-redo1',
            'icon-refresh-21',
            'icon-refresh-circle1',
            'icon-refresh-left-square1',
            'icon-refresh-right-square1',
            'icon-refresh-square-21',
            'icon-refresh1',
            'icon-repeat-circle1',
            'icon-repeat1',
            'icon-repeate-music1',
            'icon-repeate-one1',
            'icon-reserve1',
            'icon-rotate-left-11',
            'icon-rotate-left1',
            'icon-rotate-right-11',
            'icon-rotate-right1',
            'icon-route-square1',
            'icon-routing-21',
            'icon-routing1',
            'icon-row-horizontal1',
            'icon-row-vertical1',
            'icon-ruler1',
            'icon-rulerpen1',
            'icon-safe-home1',
            'icon-sagittarius1',
            'icon-save-21',
            'icon-save-add1',
            'icon-save-minus1',
            'icon-save-remove1',
            'icon-scan-barcode1',
            'icon-scan1',
            'icon-scanner1',
            'icon-scanning1',
            'icon-scissor-11',
            'icon-scissor-2',
            'icon-scissor1',
            'icon-screenmirroring1',
            'icon-scroll1',
            'icon-search-favorite-11',
            'icon-search-favorite1',
            'icon-search-normal-11',
            'icon-search-normal1',
            'icon-search-status-11',
            'icon-search-status1',
            'icon-search-zoom-in-11',
            'icon-search-zoom-in1',
            'icon-search-zoom-out-11',
            'icon-search-zoom-out1',
            'icon-security-card1',
            'icon-security-safe1',
            'icon-security-time1',
            'icon-security-user1',
            'icon-security1',
            'icon-send-11',
            'icon-weight1',
            'icon-wifi-square1',
            'icon-wifi1',
            'icon-wind-21',
            'icon-wind1',
            'icon-woman1',
            'icon-group-3',
            'icon-health1',
            'icon-hierarchy-21',
            'icon-hierarchy-31',
            'icon-hierarchy-square-21',
            'icon-hierarchy-square-31',
            'icon-hierarchy-square1',
            'icon-hierarchy1',
            'icon-home-21',
            'icon-home-hashtag1',
            'icon-home-trend-down1',
            'icon-home-trend-up1',
            'icon-home-wifi1',
            'icon-home1',
            'icon-hospital1',
            'icon-house-21',
            'icon-house1',
            'icon-image1',
            'icon-import-11',
            'icon-import-21',
            'icon-import1',
            'icon-info-circle1',
            'icon-information1',
            'icon-instagram1',
            'icon-judge1',
            'icon-kanban1',
            'icon-key-square1',
            'icon-key1',
            'icon-keyboard-open1',
            'icon-keyboard1',
            'icon-lamp-11',
            'icon-lamp-charge1',
            'icon-lamp-on1',
            'icon-lamp-slash1',
            'icon-lamp1',
            'icon-language-circle1',
            'icon-language-square1',
            'icon-layer1',
            'icon-level1',
            'icon-lifebuoy1',
            'icon-like-11',
            'icon-like-dislike1',
            'icon-like-shapes1',
            'icon-like-tag1',
            'icon-like1',
            'icon-link-11',
            'icon-link-22',
            'icon-link-211',
            'icon-link-circle1',
            'icon-link-square1',
            'icon-link1',
            'icon-location-add1',
            'icon-location-cross1',
            'icon-location-minus1',
            'icon-location-slash1',
            'icon-location-tick1',
            'icon-location1',
            'icon-lock-11',
            'icon-lock-circle1',
            'icon-lock-slash1',
            'icon-lock1',
            'icon-login-11',
            'icon-login1',
            'icon-logout-11',
            'icon-logout1',
            'icon-lovely1',
            'icon-magic-star1',
            'icon-magicpen1',
            'icon-main-component-1',
            'icon-main-component1',
            'icon-man1',
            'icon-map-11',
            'icon-map1',
            'icon-mask-11',
            'icon-mask-21',
            'icon-mask-3',
            'icon-mask1',
            'icon-math1',
            'icon-maximize-11',
            'icon-maximize-22',
            'icon-maximize-31',
            'icon-maximize-41',
            'icon-maximize-211',
            'icon-maximize-circle1',
            'icon-maximize1',
            'icon-medal-star1',
            'icon-medal1',
            'icon-menu-11',
            'icon-menu-board1',
            'icon-menu1',
            'icon-message-21',
            'icon-message-add-11',
            'icon-message-add1',
            'icon-message-circle1',
            'icon-message-edit1',
            'icon-message-favorite1',
            'icon-message-minus1',
            'icon-message-notif1',
            'icon-message-programming1',
            'icon-message-question1',
            'icon-message-remove1',
            'icon-message-search1',
            'icon-message-square1',
            'icon-message-text-11',
            'icon-message-text1',
            'icon-message-tick1',
            'icon-message-time1',
            'icon-message1',
            'icon-messages-11',
            'icon-messages-21',
            'icon-messages-31',
            'icon-messages1',
            'icon-microphone-21',
            'icon-microphone-slash-11',
            'icon-microphone-slash1',
            'icon-microphone1',
            'icon-microscope1',
            'icon-milk1',
            'icon-mini-music-sqaure1',
            'icon-minus-cirlce1',
            'icon-minus-square1',
            'icon-minus1',
            'icon-mirror1',
            'icon-mirroring-screen1',
            'icon-mobile-programming1',
            'icon-mobile1',
            'icon-money-21',
            'icon-money-31',
            'icon-money-41',
            'icon-money-add1',
            'icon-money-change1',
            'icon-money-forbidden1',
            'icon-money-recive1',
            'icon-money-remove1',
            'icon-money-send1',
            'icon-money-tick1',
            'icon-money-time1',
            'icon-money1',
            'icon-moneys1',
            'icon-monitor-mobbile1',
            'icon-monitor-recorder1',
            'icon-monitor1',
            'icon-moon1',
            'icon-more-21',
            'icon-more-circle1',
            'icon-more-square1',
            'icon-more1',
            'icon-mouse-11',
            'icon-mouse-circle1',
            'icon-mouse-square1',
            'icon-mouse1',
            'icon-music-circle1',
            'icon-music-dashboard1',
            'icon-music-filter1',
            'icon-music-library-21',
            'icon-music-play1',
            'icon-music-playlist1',
            'icon-music-square-add1',
            'icon-music-square-remove1',
            'icon-music-square-search1',
            'icon-next1',
            'icon-note-11',
            'icon-note-22',
            'icon-note-211',
            'icon-note-add1',
            'icon-note-favorite1',
            'icon-note-remove1',
            'icon-note-square1',
            'icon-note-text1',
            'icon-note1',
            'icon-notification-11',
            'icon-notification-bing1',
            'icon-notification-circle',
            'icon-notification-favorite1',
            'icon-omega-circle1',
            'icon-omega-square-1',
            'icon-omega-square1',
            'icon-paintbucket1',
            'icon-paperclip-21',
            'icon-paperclip1',
            'icon-password-check1',
            'icon-path-21',
            'icon-path-square1',
            'icon-path1',
            'icon-pause-circle1',
            'icon-pause1',
            'icon-pen-add-1',
            'icon-pen-add1',
            'icon-battery-3full1',
            'icon-bus1',
            'icon-buy-crypto1',
            'icon-cake1',
            'icon-calculator1',
            'icon-calendar-11',
            'icon-calendar-21',
            'icon-calendar-add1',
            'icon-calendar-circle1',
            'icon-calendar-edit1',
            'icon-calendar-remove1',
            'icon-calendar-search1',
            'icon-calendar-tick1',
            'icon-calendar1',
            'icon-call-add1',
            'icon-call-calling1',
            'icon-call-incoming1',
            'icon-call-minus1',
            'icon-call-outgoing1',
            'icon-call-received1',
            'icon-call-remove1',
            'icon-call-slash1',
            'icon-call1',
            'icon-camera-slash1',
            'icon-camera1',
            'icon-candle-21',
            'icon-candle1',
            'icon-car1',
            'icon-card-add1',
            'icon-card-coin1',
            'icon-card-edit1',
            'icon-card-pos1',
            'icon-card-receive1',
            'icon-card-remove-11',
            'icon-card-remove1',
            'icon-card-send1',
            'icon-card-slash1',
            'icon-card-tick-11',
            'icon-card-tick1',
            'icon-card1',
            'icon-cards1',
            'icon-category-21',
            'icon-category1',
            'icon-cd1',
            'icon-chart-11',
            'icon-chart-22',
            'icon-chart-31',
            'icon-chart-211',
            'icon-chart-square1',
            'icon-chart-success1',
            'icon-chart1',
            'icon-check1',
            'icon-chrome1',
            'icon-clipboard-close1',
            'icon-clipboard-export1',
            'icon-clipboard-import1',
            'icon-clipboard-text1',
            'icon-clipboard-tick1',
            'icon-clipboard1',
            'icon-clock-11',
            'icon-clock1',
            'icon-close-circle1',
            'icon-close-square1',
            'icon-cloud-add1',
            'icon-cloud-change1',
            'icon-cloud-connection1',
            'icon-cloud-cross1',
            'icon-cloud-drizzle1',
            'icon-cloud-fog1',
            'icon-cloud-lightning1',
            'icon-cloud-minus1',
            'icon-cloud-notif1',
            'icon-cloud-plus1',
            'icon-cloud-remove1',
            'icon-cloud-snow1',
            'icon-cloud-sunny1',
            'icon-cloud1',
            'icon-code-11',
            'icon-code-circle1',
            'icon-code1',
            'icon-coffee1',
            'icon-coin-11',
            'icon-coin1',
            'icon-color-swatch1',
            'icon-colorfilter1',
            'icon-colors-square-1',
            'icon-colors-square1',
            'icon-command-square1',
            'icon-command1',
            'icon-component-1',
            'icon-component1',
            'icon-computing1',
            'icon-convert-3d-cube1',
            'icon-convert1',
            'icon-convertshape-21',
            'icon-convertshape1',
            'icon-copy-success1',
            'icon-copy1',
            'icon-copyright1',
            'icon-courthouse1',
            'icon-cpu-charge1',
            'icon-cpu-setting1',
            'icon-cpu1',
            'icon-creative-commons1',
            'icon-crop1',
            'icon-crown-11',
            'icon-crown1',
            'icon-cup1',
            'icon-danger1',
            'icon-data-21',
            'icon-data1',
            'icon-designtools1',
            'icon-device-message1',
            'icon-devices-11',
            'icon-devices1',
            'icon-diagram1',
            'icon-diamonds1',
            'icon-direct-down1',
            'icon-direct-inbox1',
            'icon-direct-left1',
            'icon-direct-normal1',
            'icon-direct-notification1',
            'icon-direct-right1',
            'icon-direct-send1',
            'icon-direct-up1',
            'icon-direct1',
            'icon-directbox-default1',
            'icon-directbox-notif1',
            'icon-directbox-receive1',
            'icon-directbox-send1',
            'icon-discount-circle1',
            'icon-discount-shape1',
            'icon-discover-11',
            'icon-discover1',
            'icon-dislike1',
            'icon-document-11',
            'icon-document1',
            'icon-dollar-circle1',
            'icon-element-41',
            'icon-element-equal1',
            'icon-element-plus1',
            'icon-emoji-happy1',
            'icon-emoji-normal1',
            'icon-export-31',
            'icon-export1',
            'icon-external-drive1',
            'icon-eye-slash1',
            'icon-eye1',
            'icon-firstline1',
            'icon-flag-21',
            'icon-flag1',
            'icon-flash-11',
            'icon-flash-circle-11',
            'icon-folder1',
            'icon-format-circle1',
            'icon-format-square1',
            'icon-forward-5-seconds1',
            'icon-forward-10-seconds1',
            'icon-forward-15-seconds1',
            'icon-forward-item-1',
            'icon-forward-item1',
            'icon-forward-square1',
            'icon-forward1',
            'icon-frame-11',
            'icon-frame-21',
            'icon-frame-31',
            'icon-frame-41',
            'icon-frame-5',
            'icon-frame1',
            'icon-gallery-add1',
            'icon-gallery-edit1',
            'icon-gallery-export1',
            'icon-gallery-favorite1',
            'icon-gallery-import1',
            'icon-gallery-remove1',
            'icon-gallery-slash1',
            'icon-gallery-tick1',
            'icon-gallery1',
            'icon-game1',
            'icon-gameboy1',
            'icon-gas-station1',
            'icon-gemini-21',
            'icon-gemini1',
            'icon-ghost1',
            'icon-gift1',
            'icon-glass-11',
            'icon-glass1',
            'icon-global-edit1',
            'icon-global-refresh1',
            'icon-global-search1',
            'icon-global1',
            'icon-gps-slash1',
            'icon-gps1',
            'icon-grammerly1',
            'icon-graph1',
            'icon-grid-11',
            'icon-grid-21',
            'icon-grid-31',
            'icon-grid-41',
            'icon-d-cube-scan1',
            'icon-d-rotate1',
            'icon-d-square1',
            'icon-dcube1',
            'icon-square1',
            'icon-support1',
            'icon-activity1',
            'icon-add-circle1',
            'icon-add-square1',
            'icon-add1',
            'icon-additem1',
            'icon-airdrop1',
            'icon-airplane-square1',
            'icon-airplane1',
            'icon-airpod1',
            'icon-airpods1',
            'icon-alarm1',
            'icon-align-bottom1',
            'icon-align-horizontally1',
            'icon-align-left1',
            'icon-align-right1',
            'icon-align-vertically1',
            'icon-aquarius1',
            'icon-archive-11',
            'icon-archive-add1',
            'icon-archive-book1',
            'icon-archive-minus1',
            'icon-archive-slash1',
            'icon-archive-tick1',
            'icon-archive1',
            'icon-arrange-circle-21',
            'icon-arrange-circle1',
            'icon-arrange-square-21',
            'icon-arrange-square1',
            'icon-arrow-21',
            'icon-arrow-31',
            'icon-arrow-bottom1',
            'icon-arrow-circle-down1',
            'icon-arrow-circle-left1',
            'icon-arrow-circle-right1',
            'icon-arrow-down-11',
            'icon-arrow-down-21',
            'icon-arrow-down1',
            'icon-arrow-left-11',
            'icon-arrow-left-21',
            'icon-arrow-left-31',
            'icon-arrow-left1',
            'icon-arrow-right-11',
            'icon-arrow-right-21',
            'icon-arrow-right-31',
            'icon-arrow-right1',
            'icon-arrow-square-down1',
            'icon-arrow-square-left1',
            'icon-arrow-square-right1',
            'icon-arrow-square-up1',
            'icon-arrow-square1',
            'icon-arrow-swap-horizontal1',
            'icon-arrow-up-11',
            'icon-arrow-up-21',
            'icon-arrow-up-31',
            'icon-arrow-up1',
            'icon-arrow1',
            'icon-attach-circle1',
            'icon-attach-square1',
            'icon-audio-square1',
            'icon-autobrightness1',
            'icon-award1',
            'icon-back-square1',
            'icon-backward-5-seconds1',
            'icon-backward-10-seconds1',
            'icon-backward-15-seconds1',
            'icon-backward-item-1',
            'icon-backward-item1',
            'icon-backward1',
            'icon-bag-21',
            'icon-bag-cross-11',
            'icon-bag-cross1',
            'icon-bag-happy1',
            'icon-bag-tick-21',
            'icon-bag-tick1',
            'icon-bag-timer1',
            'icon-bag1',
            'icon-bank1',
            'icon-barcode1',
            'icon-battery-charging1',
            'icon-battery-disable1',
            'icon-battery-empty-11',
            'icon-battery-empty1',
            'icon-battery-full1',
            'icon-bezier-1',
            'icon-bezier1',
            'icon-bill1',
            'icon-bitcoin-card1',
            'icon-bitcoin-convert1',
            'icon-bitcoin-refresh1',
            'icon-blend-21',
            'icon-blend1',
            'icon-bluetooth-21',
            'icon-bluetooth-circle1',
            'icon-bluetooth-rectangle1',
            'icon-bluetooth1',
            'icon-blur-1',
            'icon-blur1',
            'icon-book-11',
            'icon-book-saved1',
            'icon-book-square1',
            'icon-book1',
            'icon-bookmark-21',
            'icon-bookmark1',
            'icon-box-11',
            'icon-box-21',
            'icon-box-add1',
            'icon-box-remove1',
            'icon-box-search1',
            'icon-box-tick1',
            'icon-box-time1',
            'icon-box1',
            'icon-briefcase1',
            'icon-brifecase-cross1',
            'icon-brifecase-tick1',
            'icon-brifecase-timer1',
            'icon-broom1',
            'icon-brush-11',
            'icon-brush-21',
            'icon-brush-31',
            'icon-brush1',
            'icon-bubble1',
            'icon-bucket-circle-1',
            'icon-bucket-circle1',
            'icon-bucket-square-1',
            'icon-bucket-square1',
            'icon-building-31',
            'icon-building-41',
            'icon-building1',
            'icon-buildings-21',
            'icon-buildings1',
            'icon-buliding1',
            'icon-document-cloud1',
            'icon-document-code-21',
            'icon-document-code1',
            'icon-document-copy1',
            'icon-document-download1',
            'icon-document-favorite1',
            'icon-document-filter1',
            'icon-document-forward1',
            'icon-document-like1',
            'icon-document-normal1',
            'icon-document-previous1',
            'icon-document-sketch1',
            'icon-document-text-11',
            'icon-document-text1',
            'icon-document-upload1',
            'icon-dollar-square1',
            'icon-driver-21',
            'icon-driver-refresh1',
            'icon-driver1',
            'icon-driving1',
            'icon-drop1',
            'icon-edit-21',
            'icon-edit1',
            'icon-electricity1',
            'icon-element-1',
            'icon-element-21',
            'icon-element-31',
            'icon-emoji-sad1',
            'icon-empty-wallet-add1',
            'icon-empty-wallet-change1',
            'icon-empty-wallet-remove1',
            'icon-empty-wallet-tick1',
            'icon-empty-wallet-time1',
            'icon-empty-wallet1',
            'icon-eraser-11',
            'icon-eraser-2',
            'icon-eraser1',
            'icon-export-11',
            'icon-export-21',
            'icon-fatrows1',
            'icon-favorite-chart1',
            'icon-filter-add1',
            'icon-filter-edit1',
            'icon-filter-remove1',
            'icon-filter-search1',
            'icon-filter-square1',
            'icon-filter-tick1',
            'icon-filter1',
            'icon-finger-cricle1',
            'icon-finger-scan1',
            'icon-flash-circle-2',
            'icon-flash-circle1',
            'icon-flash-slash1',
            'icon-flash1',
            'icon-folder-21',
            'icon-folder-add1',
            'icon-folder-cloud1',
            'icon-folder-connection1',
            'icon-folder-cross1',
            'icon-folder-favorite1',
            'icon-folder-minus1',
            'icon-folder-open1',

        );

        $icosaxs_args['electio_icosax_box'] = array(
            'name'          => 'electio_icosax_box',
            'label'         => esc_html__( 'Icosax Icons', 'electio-core' ),
            'labelIcon'     => 'isax icon-sun-fog',
            'prefix'        => '',
            'displayPrefix' => 'isax',
            'url'           => ELECTIO_PL_ASSETS . 'css/iconsax.css',
            'icons'         => $icosaxs,
            'ver'           => 1,
        );

        return $icosaxs_args;
    }



}
electio_icosax_Manager::instance();