<?php
// Register Taxonomy Category
function electio_team_cat_tax() {

	$labels = array(
		'name'              => _x( 'Departments', 'taxonomy general name', 'electio-core' ),
		'singular_name'     => _x( 'Department', 'taxonomy singular name', 'electio-core' ),
		'search_items'      => __( 'Search Departments', 'electio-core' ),
		'all_items'         => __( 'All Departments', 'electio-core' ),
		'parent_item'       => __( 'Parent Department', 'electio-core' ),
		'parent_item_colon' => __( 'Parent Department:', 'electio-core' ),
		'edit_item'         => __( 'Edit Department', 'electio-core' ),
		'update_item'       => __( 'Update Department', 'electio-core' ),
		'add_new_item'      => __( 'Add New Department', 'electio-core' ),
		'new_item_name'     => __( 'New Department Name', 'electio-core' ),
		'menu_name'         => __( 'Department', 'electio-core' ),
	);
	$args = array(
		'labels' => $labels,
		'description' => __( '', 'electio-core' ),
		'hierarchical' => true,
		'public' => true,
		'publicly_queryable' => true,
		'show_ui' => true,
		'show_in_menu' => true,
		'show_in_nav_menus' => true,
		'show_tagcloud' => true,
		'show_in_quick_edit' => true,
		'show_admin_column' => false,
		'show_in_rest' => true,
	);
	register_taxonomy( 'department', array('team'), $args );

}
add_action( 'init', 'electio_team_cat_tax' );
// Register Custom Post Type Team
function electio_team_cpt() {

	$labels = array(
		'name' => _x( 'Teams', 'Post Type General Name', 'electio-core' ),
		'singular_name' => _x( 'Team', 'Post Type Singular Name', 'electio-core' ),
		'menu_name' => _x( 'Teams', 'Admin Menu text', 'electio-core' ),
		'name_admin_bar' => _x( 'Team', 'Add New on Toolbar', 'electio-core' ),
		'archives' => __( 'Team Archives', 'electio-core' ),
		'attributes' => __( 'Team Attributes', 'electio-core' ),
		'parent_item_colon' => __( 'Parent Team:', 'electio-core' ),
		'all_items' => __( 'All Teams', 'electio-core' ),
		'add_new_item' => __( 'Add New Team', 'electio-core' ),
		'add_new' => __( 'Add New', 'electio-core' ),
		'new_item' => __( 'New Team', 'electio-core' ),
		'edit_item' => __( 'Edit Team', 'electio-core' ),
		'update_item' => __( 'Update Team', 'electio-core' ),
		'view_item' => __( 'View Team', 'electio-core' ),
		'view_items' => __( 'View Teams', 'electio-core' ),
		'search_items' => __( 'Search Team', 'electio-core' ),
		'not_found' => __( 'Not found', 'electio-core' ),
		'not_found_in_trash' => __( 'Not found in Trash', 'electio-core' ),
		'featured_image' => __( 'Featured Image', 'electio-core' ),
		'set_featured_image' => __( 'Set featured image', 'electio-core' ),
		'remove_featured_image' => __( 'Remove featured image', 'electio-core' ),
		'use_featured_image' => __( 'Use as featured image', 'electio-core' ),
		'insert_into_item' => __( 'Insert into Team', 'electio-core' ),
		'uploaded_to_this_item' => __( 'Uploaded to this Team', 'electio-core' ),
		'items_list' => __( 'Teams list', 'electio-core' ),
		'items_list_navigation' => __( 'Teams list navigation', 'electio-core' ),
		'filter_items_list' => __( 'Filter Teams list', 'electio-core' ),
	);
	$args = array(
		'label' => __( 'Team', 'electio-core' ),
		'description' => __( '', 'electio-core' ),
		'labels' => $labels,
		'menu_icon' => 'dashicons-businessman',
		'supports' => array('title', 'editor', 'excerpt', 'thumbnail', 'revisions', 'author', 'comments', 'page-attributes', 'custom-fields'),
		'taxonomies' => array(),
		'public' => true,
		'show_ui' => true,
		'show_in_menu' => true,
		'menu_position' => 5,
		'show_in_admin_bar' => true,
		'show_in_nav_menus' => true,
		'can_export' => true,
		'has_archive' => true,
		'hierarchical' => true,
		'exclude_from_search' => false,
		'show_in_rest' => true,
		'publicly_queryable' => true,
		'capability_type' => 'post',
	);
	register_post_type( 'team', $args );

}
add_action( 'init', 'electio_team_cpt', 0 );




// Get block id by ID or slug.
function electio_get_block_id( $post_id ) {
  global $wpdb;

  if ( empty ( $post_id ) ) {
    return null;
  }

  // Get post ID if using post_name as id attribute.
  if ( ! is_numeric( $post_id ) ) {
    $post_id = $wpdb->get_var(
      $wpdb->prepare(
        "SELECT ID FROM $wpdb->posts WHERE post_type = 'electio_block' AND post_name = %s",
        $post_id
      )
    );
  }

  // Polylang support.
  if ( function_exists( 'pll_get_post' ) ) {
    if ( $lang_id = pll_get_post( $post_id ) ) {
      $post_id = $lang_id;
    }
  }

  // WPML Support.
  if ( function_exists( 'icl_object_id' ) ) {
    if ( $lang_id = icl_object_id( $post_id, 'electio_block', false, ICL_LANGUAGE_CODE ) ) {
      $post_id = $lang_id;
    }
  }

  return $post_id;
}
// Register Custom Post Type electio_block
function electio_create_block_cpt() {

	$labels = array(
		'name' => _x( 'Electio Blocks', 'Post Type General Name', 'electio-core' ),
		'singular_name' => _x( 'Electio Block', 'Post Type Singular Name', 'electio-core' ),
		'menu_name' => _x( 'Electio Block', 'Admin Menu text', 'electio-core' ),
		'name_admin_bar' => _x( 'Electio Block', 'Add New on Toolbar', 'electio-core' ),
		'archives' => __( 'Block Archives', 'electio-core' ),
		'attributes' => __( 'Block Attributes', 'electio-core' ),
		'parent_item_colon' => __( 'Parent electio_block:', 'electio-core' ),
		'all_items' => __( 'Electio Blocks', 'electio-core' ),
		'add_new_item' => __( 'Add New Block', 'electio-core' ),
		'add_new' => __( 'Add New Block', 'electio-core' ),
		'new_item' => __( 'New Block', 'electio-core' ),
		'edit_item' => __( 'Edit Block', 'electio-core' ),
		'update_item' => __( 'Update Block', 'electio-core' ),
		'view_item' => __( 'View Block', 'electio-core' ),
		'view_items' => __( 'View Block', 'electio-core' ),
		'search_items' => __( 'Search Block', 'electio-core' ),
		'not_found' => __( 'Not found', 'electio-core' ),
		'not_found_in_trash' => __( 'Not found in Trash', 'electio-core' ),
		'featured_image' => __( 'Featured Image', 'electio-core' ),
		'set_featured_image' => __( 'Set featured image', 'electio-core' ),
		'remove_featured_image' => __( 'Remove featured image', 'electio-core' ),
		'use_featured_image' => __( 'Use as featured image', 'electio-core' ),
		'insert_into_item' => __( 'Insert into Block', 'electio-core' ),
		'uploaded_to_this_item' => __( 'Uploaded to this Block', 'electio-core' ),
		'items_list' => __( 'Block list', 'electio-core' ),
		'items_list_navigation' => __( 'Block list navigation', 'electio-core' ),
		'filter_items_list' => __( 'Filter Block list', 'electio-core' ),
	);
	$args = array(
		'label' => __( 'Block', 'electio-core' ),
		'description' => __( '', 'electio-core' ),
		'labels' => $labels,
		'menu_icon' => 'dashicons-editor-ul',
		'supports' => array('title', 'editor', 'thumbnail'),
		'taxonomies' => array(),
		'public' => true,
		'show_ui' => true,
		'show_in_menu' => 'electio-admin-menu',
		'menu_position' => 5,
		'show_in_admin_bar' => true,
		'show_in_nav_menus' => false,
		'can_export' => true,
		'has_archive' => true,
		'hierarchical' => true,
		'exclude_from_search' => true,
		'show_in_rest' => false,
		'publicly_queryable' => true,
		'capability_type' => 'post',
	);
	register_post_type( 'electio_block', $args );

}
add_action( 'init', 'electio_create_block_cpt', 0 );
function my_edit_electio_block_columns() {
	$columns = array(
		'cb'        => '<input type="checkbox" />',
		'title'     => __( 'Title', 'electio-core' ),
		'shortcode' => __( 'Shortcode', 'electio-core' ),
		'date'      => __( 'Date', 'electio-core' ),
	);

	return $columns;
}

add_filter( 'manage_edit-electio_block_columns', 'my_edit_electio_block_columns' );

function my_manage_electio_block_columns( $column, $post_id ) {
	$post_data = get_post( $post_id, ARRAY_A );
	$slug      = $post_data['post_name'];
	add_thickbox();
	switch ( $column ) {
		case 'shortcode':
			echo '<textarea style="min-width: 60%;
    max-height: 27px;
    background: #FBEEE6;
    border-color: #FBEEE6;
    color: #28170E;
    font-size: 14px;
    margin-top: 5px;
">[electio_block id="' . $slug . '"]</textarea>';
			break;
	}
}

add_action( 'manage_electio_block_posts_custom_column', 'my_manage_electio_block_columns', 10, 2 );


/**
 * Disable gutenberg support for now.
 *
 * @param bool   $use_electio_block_editor Whether the post type can be edited or not. Default true.
 * @param string $post_type        The post type being checked.
 *
 * @return bool
 */
function electio_block_disable_gutenberg( $use_electio_block_editor, $post_type ) {
	return $post_type === 'electio_block' ? false : $use_electio_block_editor;
}

add_filter( 'use_electio_block_editor_for_post_type', 'electio_block_disable_gutenberg', 10, 2 );
add_filter( 'gutenberg_can_edit_post_type', 'electio_block_disable_gutenberg', 10, 2 );


/**
 * Update electio_block preview URL
 */
function setec_electio_block_scripts() {
	global $typenow;
	if ( 'electio_block' == $typenow && isset( $_GET["post"] ) ) {
		?>
		<script>
          jQuery(document).ready(function ($) {
            var electio_block_id = $('input#post_name').val()
            $('#submitdiv').
              after('<div class="postbox"><h2 class="hndle">Shortcode</h2><div class="inside"><p><textarea style="width:100%; max-height:30px;">[electio_block id="' + electio_block_id +
                '"]</textarea></p></div></div>')
          })
		</script>
		<?php
	}
}

add_action( 'admin_head', 'setec_electio_block_scripts' );

function setec_electio_block_frontend() {
	if ( isset( $_GET["electio_block"] ) ) {
		?>
		<script>
          jQuery(document).ready(function ($) {
            $.scrollTo('#<?php echo esc_attr( $_GET["electio_block"] );?>', 300, {offset: -200})
          })
		</script>
		<?php
	}
}

add_action( 'wp_footer', 'setec_electio_block_frontend' );

function electio_block_shortcode( $atts, $content = null ) {
	global $post;

	extract( shortcode_atts( array(
			'id' => '',
		),
			$atts
		)
	);

	// Abort if ID is empty.
	if ( empty ( $id ) ) {
		return '<p><mark>No electio_block ID is set</mark></p>';
	}



	if ( is_home() ) $post = get_post( get_option('page_for_posts') );

	$post_id  = electio_get_block_id( $id );
	$the_post = $post_id ? get_post( $post_id, OBJECT, 'display' ) : null;

	if ( $the_post ) {
	      if (  did_action( 'elementor/loaded' ) ) {
	        $html = \Elementor\Plugin::$instance->frontend->get_builder_content( intval($post_id) );
	    } else {
		$html = $the_post->post_content;
	    }

		if ( empty( $html ) ) {
			$html = '<p class="lead shortcode-error">Open this in Elementor to add and edit content</p>';
		}

		// Add edit link for admins.
		if ( isset( $post ) && current_user_can( 'edit_pages' )
		     && ! is_customize_preview()
		     && function_exists( 'setec_builder_is_active' )
		     && ! setec_builder_is_active() ) {
			$edit_link         = setec_builder_edit_url( $post->ID, $post_id );
			$edit_link_backend = admin_url( 'post.php?post=' . $post_id . '&action=edit' );
			$html              = '<div class="electio_block-edit-link" data-title="Edit Block: ' . get_the_title( $post_id ) . '"   data-backend="' . esc_url( $edit_link_backend )
			                     . '" data-link="' . esc_url( $edit_link ) . '"></div>' . $html . '';
		}
	} else {
		$html = '<p class="text-center"><mark>Block <b>"' . esc_html( $id ) . '"</b> not found</mark></p>';
	}

	return do_shortcode( $html );
}

add_shortcode( 'electio_block', 'electio_block_shortcode' );


if ( ! function_exists( 'electio_block_categories' ) ) {
	/**
	 * Add electio_block categories support
	 */
	function electio_block_categories() {
		$args = array(
			'hierarchical'      => true,
			'public'            => false,
			'show_ui'           => true,
			'show_in_nav_menus' => true,
		);
		register_taxonomy( 'electio_block_categories', array( 'electio_block' ), $args );

	}

	// Hook into the 'init' action
	add_action( 'init', 'electio_block_categories', 0 );
}
// Register Custom Post Type Pricing Table
function electio_pricingtable_cpt() {

	$labels = array(
		'name' => _x( 'Pricing Tables', 'Post Type General Name', 'electio-core' ),
		'singular_name' => _x( 'Pricing Table', 'Post Type Singular Name', 'electio-core' ),
		'menu_name' => _x( 'Pricing Tables', 'Admin Menu text', 'electio-core' ),
		'name_admin_bar' => _x( 'Pricing Table', 'Add New on Toolbar', 'electio-core' ),
		'archives' => __( 'Pricing Table Archives', 'electio-core' ),
		'attributes' => __( 'Pricing Table Attributes', 'electio-core' ),
		'parent_item_colon' => __( 'Parent Pricing Table:', 'electio-core' ),
		'all_items' => __( 'All Pricing Tables', 'electio-core' ),
		'add_new_item' => __( 'Add New Pricing Table', 'electio-core' ),
		'add_new' => __( 'Add New', 'electio-core' ),
		'new_item' => __( 'New Pricing Table', 'electio-core' ),
		'edit_item' => __( 'Edit Pricing Table', 'electio-core' ),
		'update_item' => __( 'Update Pricing Table', 'electio-core' ),
		'view_item' => __( 'View Pricing Table', 'electio-core' ),
		'view_items' => __( 'View Pricing Tables', 'electio-core' ),
		'search_items' => __( 'Search Pricing Table', 'electio-core' ),
		'not_found' => __( 'Not found', 'electio-core' ),
		'not_found_in_trash' => __( 'Not found in Trash', 'electio-core' ),
		'featured_image' => __( 'Featured Image', 'electio-core' ),
		'set_featured_image' => __( 'Set featured image', 'electio-core' ),
		'remove_featured_image' => __( 'Remove featured image', 'electio-core' ),
		'use_featured_image' => __( 'Use as featured image', 'electio-core' ),
		'insert_into_item' => __( 'Insert into Pricing Table', 'electio-core' ),
		'uploaded_to_this_item' => __( 'Uploaded to this Pricing Table', 'electio-core' ),
		'items_list' => __( 'Pricing Tables list', 'electio-core' ),
		'items_list_navigation' => __( 'Pricing Tables list navigation', 'electio-core' ),
		'filter_items_list' => __( 'Filter Pricing Tables list', 'electio-core' ),
	);
	$args = array(
		'label' => __( 'Pricing Table', 'electio-core' ),
		'description' => __( '', 'electio-core' ),
		'labels' => $labels,
		'menu_icon' => 'dashicons-list-view',
		'supports' => array('title', 'custom-fields'),
		'taxonomies' => array(),
		'public' => true,
		'show_ui' => true,
		'show_in_menu' => true,
		'menu_position' => 5,
		'show_in_admin_bar' => true,
		'show_in_nav_menus' => true,
		'can_export' => true,
		'has_archive' => true,
		'hierarchical' => true,
		'exclude_from_search' => false,
		'show_in_rest' => true,
		'publicly_queryable' => true,
		'capability_type' => 'post',
	);
	register_post_type( 'pricingtable', $args );

}
add_action( 'init', 'electio_pricingtable_cpt', 0 );


// Register Custom Post Type Project
function electio_project_cpt() {

	$labels = array(
		'name' => _x( 'Projects', 'Post Type General Name', 'electio-core' ),
		'singular_name' => _x( 'Project', 'Post Type Singular Name', 'electio-core' ),
		'menu_name' => _x( 'Projects', 'Admin Menu text', 'electio-core' ),
		'name_admin_bar' => _x( 'Project', 'Add New on Toolbar', 'electio-core' ),
		'archives' => __( 'Project Archives', 'electio-core' ),
		'attributes' => __( 'Project Attributes', 'electio-core' ),
		'parent_item_colon' => __( 'Parent Project:', 'electio-core' ),
		'all_items' => __( 'All Projects', 'electio-core' ),
		'add_new_item' => __( 'Add New Project', 'electio-core' ),
		'add_new' => __( 'Add New', 'electio-core' ),
		'new_item' => __( 'New Project', 'electio-core' ),
		'edit_item' => __( 'Edit Project', 'electio-core' ),
		'update_item' => __( 'Update Project', 'electio-core' ),
		'view_item' => __( 'View Project', 'electio-core' ),
		'view_items' => __( 'View Projects', 'electio-core' ),
		'search_items' => __( 'Search Project', 'electio-core' ),
		'not_found' => __( 'Not found', 'electio-core' ),
		'not_found_in_trash' => __( 'Not found in Trash', 'electio-core' ),
		'featured_image' => __( 'Featured Image', 'electio-core' ),
		'set_featured_image' => __( 'Set featured image', 'electio-core' ),
		'remove_featured_image' => __( 'Remove featured image', 'electio-core' ),
		'use_featured_image' => __( 'Use as featured image', 'electio-core' ),
		'insert_into_item' => __( 'Insert into Project', 'electio-core' ),
		'uploaded_to_this_item' => __( 'Uploaded to this Project', 'electio-core' ),
		'items_list' => __( 'Projects list', 'electio-core' ),
		'items_list_navigation' => __( 'Projects list navigation', 'electio-core' ),
		'filter_items_list' => __( 'Filter Projects list', 'electio-core' ),
	);
	$args = array(
		'label' => __( 'Project', 'electio-core' ),
		'description' => __( '', 'electio-core' ),
		'labels' => $labels,
		'menu_icon' => 'dashicons-excerpt-view',
		'supports' => array('title', 'editor', 'thumbnail', 'custom-fields'),
		'taxonomies' => array(),
		'public' => true,
		'show_ui' => true,
		'show_in_menu' => true,
		'menu_position' => 5,
		'show_in_admin_bar' => true,
		'show_in_nav_menus' => true,
		'can_export' => true,
		'has_archive' => true,
		'hierarchical' => true,
		'exclude_from_search' => false,
		'show_in_rest' => true,
		'publicly_queryable' => true,
		'capability_type' => 'post',
	);
	register_post_type( 'project', $args );

}
add_action( 'init', 'electio_project_cpt', 0 );

