<?php
/**
 *  Add Dynamic css to header
 * @version    1.0
 * @author        Teconce
 * @URI        http://teconce.com
 */




  /**
	 * Add extension CSS.
	 */
       function electio_dynamic_css() {
           
           ob_start();
           $electio_options = get_option( 'electio_options' );
           $primarycolor = !empty($electio_options['color-set']['primary_color'])? $electio_options['color-set']['primary_color']: '#000e3c';
            $primarytxcolor = !empty($electio_options['color-set']['primary-text-color'])? $electio_options['color-set']['primary-text-color']: '';
            $secndcolor = !empty($electio_options['color-set']['secondary-color'])? $electio_options['color-set']['secondary-color']: '#112bb1';
            $secndtxtcolor = !empty($electio_options['color-set']['secondary-text-color'])? $electio_options['color-set']['secondary-text-color']: '';
            
            $backtopborder = (! empty( $electio_options['backto_top_bt_border'] ) ) ? $electio_options['backto_top_bt_border'] : '';
            
            
             $globalwdth1400 = !empty($electio_options['gloabal_width_1400'])? $electio_options['gloabal_width_1400']: '';
             $globalwdth1200 = !empty($electio_options['gloabal_width_1200'])? $electio_options['gloabal_width_1200']: '';
             
              $altfontfamily = !empty($electio_options['alt_typo']['font-family'] )? $electio_options['alt_typo']['font-family'] : 'Jost';
              $bodyfontfamily = !empty($electio_options['paragraph_typo']['font-family'] )? $electio_options['paragraph_typo']['font-family'] : 'Jost';
              $maintxtcolor =  !empty($electio_options['color-set']['main_text_colot'] )? $electio_options['color-set']['main_text_colot'] : '#717171';
              
              $elementorwdthebl= !empty($electio_options['elementor-width-overwrite'])? $electio_options['elementor-width-overwrite'] : '';
              $elementorwdthmain= !empty($electio_options['overwrite-elem-width'] )? $electio_options['overwrite-elem-width'] : '';
             $srcbtnclr= !empty($electio_options['elementor_content']['search_icon_clr'] )? $electio_options['elementor_content']['search_icon_clr'] : '';
             
             
             $altcolortxt = !empty($electio_options['alter_text_color'] )? $electio_options['alter_text_color'] : '';
              $lightcolor = !empty($electio_options['light_color'])? $electio_options['light_color'] : '#f6f6f6';
              
              $headingcolor = !empty($electio_options['gl_header_color'] )? $electio_options['gl_header_color'] : '#000e3c';
              $lightred = !empty($electio_options['gl_light_red_color'] )? $electio_options['gl_light_red_color'] : '#fe4852';
              $redorange = !empty($electio_options['gl_red_orange_color'] )? $electio_options['gl_red_orange_color'] : '#fc5d2c';
              $yellow = !empty($electio_options['gl_yellow_color'] )? $electio_options['gl_yellow_color'] : '#ffd612';
              $blue = !empty($electio_options['gl_blue_color'] )? $electio_options['gl_blue_color'] : '#112bb1';
              $green = !empty($electio_options['gl_green_color'] )? $electio_options['gl_green_color'] : '#1FC157';
              $dark = !empty($electio_options['gl_dark_color'] )? $electio_options['gl_dark_color'] : '#000e3c';
              $glborder = !empty($electio_options['gl_border_color'] )? $electio_options['gl_border_color'] : '#3d3d3d';
              $glbordergray = !empty($electio_options['gl_border_gray_color'] )? $electio_options['gl_border_gray_color'] : '#e8eaf2';
              $glborderdark = !empty($electio_options['gl_border_dark_color'] )? $electio_options['gl_border_dark_color'] : '#242424';
		?>
		
	
	:root {
    --body-font: <?php echo $bodyfontfamily;?>;
    --heading-font: <?php echo $altfontfamily;?>;
    --primary-color: <?php echo $primarycolor;?>;
    --secondary-color: <?php echo $secndcolor;?>;
    --text-color: <?php echo $maintxtcolor;?>;
    --heading-color: <?php echo $headingcolor;?>;
    --light-red-color: <?php echo $lightred;?>;
    --red-orange-color: <?php echo $redorange;?>;
    --yellow-color: <?php echo $yellow;?>;
    --blue-color: <?php echo $blue;?>;
    --dark-color: <?php echo $dark;?>;
    --green-color: <?php echo $green;?>;
    --border-color: <?php echo $glborder;?>;
    --border-gray: <?php echo $glbordergray;?>;
    --border-dark: <?php echo $glborderdark;?>;
    --light-stroke: #e8e8e8;
    --light-white-color: rgba(255, 255, 255, 0.2);
    --white-color: #ffffff;
    --light-color: <?php echo $lightcolor;?>;
    --gray-color: #f3f4f8;
    --gray-200: #efefef;
    --gray-100: #f1f1f1;
    --primary-overlay: rgba(18, 17, 17, 0.9);
    --primary-light-overlay: rgba(18, 17, 17, 0.6);
    --shadow-light: 0px 30px 23px rgba(0, 0, 0, 0.07);
    --box-shadow: 0px 12px 16px rgba(0, 0, 0, 0.04);
    --transition-base: all 0.3s;
    --ur3-stroke: #292828;
}
	 
@media (min-width: 1200px){
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: <?php echo esc_html($globalwdth1200);?>px;
    }
}

  @media (min-width: 1400px){
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: <?php echo esc_html($globalwdth1400);?>px;
    }
}

<?php if($elementorwdthebl){ ?>
.elementor-section.elementor-section-boxed > .elementor-container{
 max-width: <?php echo esc_html($elementorwdthmain);?>px !important;
 }
<?php } ?>

.progress-wrap{
    box-shadow: inset 0 0 0 2px <?php echo esc_html($backtopborder);?>;
}

	    <?php
		$output = ob_get_clean();

		if ( ! $output ) {
			return;
		}

		$css  = '<style id="electio-swatches-css" type="text/css">';
		$css .= $output;
		$css .= '</style>';

		echo electio_compress_css_lines( $css ); 
	}

add_action('wp_head', 'electio_dynamic_css');