<?php
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}
if (!class_exists('Electio_Theme_Script')) {

    class Electio_Theme_Script
    {


        public function __construct()
        {


            add_action('wp_enqueue_scripts', array($this, 'electio_scripts'));

            add_action('admin_enqueue_scripts', array($this, 'electio_register_admin_styles'));


        }



#-----------------------------------------------------------------#
# Enqueue Styles & scripts
#-----------------------------------------------------------------#/

        public function electio_scripts()
        {

           
            
            wp_enqueue_style('bootstrap', ELECTIO_URL . '/assets/css/bootstrap.min.css', false, ELECTIO_VERSION, 'all');
            wp_enqueue_style('Font-Awesome', ELECTIO_URL . '/assets/css/all.css', false, ELECTIO_VERSION, 'all');
            wp_enqueue_style('electio-default', ELECTIO_URL . '/assets/css/theme-default.css', false, ELECTIO_VERSION, 'all');
            wp_enqueue_style('slick', ELECTIO_URL . '/assets/css/slick.css', false, ELECTIO_VERSION, 'all');
            wp_enqueue_style('jquery-ui', ELECTIO_URL . '/assets/css/jquery-ui.css', false, ELECTIO_VERSION, 'all');
            wp_enqueue_style('iconly', ELECTIO_URL . '/assets/css/iconly.css', false, ELECTIO_VERSION, 'all');
            wp_enqueue_style('icomoon', ELECTIO_URL . '/assets/css/icomoon.css', false, ELECTIO_VERSION, 'all');
            wp_enqueue_style('swiper', ELECTIO_URL . '/assets/css/swiper-bundle.min.css', false, ELECTIO_VERSION, 'all');
            wp_enqueue_style('fancybox', ELECTIO_URL . '/assets/css/fancybox.css', false, ELECTIO_VERSION, 'all');
            wp_enqueue_style('animate', ELECTIO_URL . '/assets/css/animate.css', false, ELECTIO_VERSION, 'all');
            wp_enqueue_style('magnific-popup', ELECTIO_URL . '/assets/css/magnific-popup.css', false, ELECTIO_VERSION, 'all');
            wp_enqueue_style('electio-style', ELECTIO_URL . '/assets/css/electio-style.css', false, ELECTIO_VERSION, 'all');
            wp_enqueue_style('electio-google-fonts', electio_fonts_url(), array(), null);

            wp_enqueue_script('popper', ELECTIO_URL . '/assets/js/popper.min.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('bootstrap', ELECTIO_URL . '/assets/js/bootstrap.min.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('slick', ELECTIO_URL . '/assets/js/slick.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('swiper', ELECTIO_URL . '/assets/js/swiper.min.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('marquee-min', ELECTIO_URL . '/assets/js/marquee.min.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('jquery-ui', ELECTIO_URL . '/assets/js/jquery-ui.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('nice-select', ELECTIO_URL . '/assets/js/nice-select.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('masonry', ELECTIO_URL . '/assets/js/masonry.pkgd.min.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('fancybox', ELECTIO_URL . '/assets/js/fancybox.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('countdownmain', ELECTIO_URL . '/assets/js/countdown.min.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('countdown', ELECTIO_URL . '/assets/js/countdown.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('wow', ELECTIO_URL . '/assets/js/wow.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('progress-bar', ELECTIO_URL . '/assets/js/progress-bar.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('parallax', ELECTIO_URL . '/assets/js/parallax.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('tilt-js', ELECTIO_URL . '/assets/js/tilt-js.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('magnific-popup', ELECTIO_URL . '/assets/js/magnific-popup.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('waypoints', ELECTIO_URL . '/assets/js/waypoints.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('counterup-min', ELECTIO_URL . '/assets/js/counterup.min.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('preloader', ELECTIO_URL . '/assets/js/preloader.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('isotop-min', ELECTIO_URL . '/assets/js/isotop.min.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('jquery-zoom', ELECTIO_URL . '/assets/js/jquery.zoom.js', array('jquery'), ELECTIO_VERSION, true);
            wp_enqueue_script('electio-script', ELECTIO_URL . '/assets/js/electio-script.js', array('jquery'), ELECTIO_VERSION, true);


            $ajax_url = admin_url('admin-ajax.php', 'relative');
            $main_values = array();
            $woo_msg = esc_attr__('You have added the item to your shopping cart!', 'electio');
            $main_values['dataAddCartMsg'] = $woo_msg;
            $script_params = array(
                'ajax_url'					=> $ajax_url
            );



            if (class_exists('Electio_Core')) {
                if (class_exists('WooCommerce')) {
                    
                      if ( !wp_script_is( 'wc-cart-fragments', 'enqueued') && wp_script_is( 'wc-cart-fragments', 'registered' ) ) {

                        // Enqueue the wc-cart-fragments script
                        
                        wp_enqueue_script( 'wc-cart-fragments' );
                        
                         }
 
                    wp_enqueue_script('electio-woo', ELECTIO_URL . '/assets/js/electio-wc.js', array('jquery'), ELECTIO_VERSION, true);
                  

                    wp_enqueue_script('electio-mini-cart', ELECTIO_URL . '/assets/js/electio-mini-cart.js', array('jquery'), ELECTIO_VERSION, true);
                    wp_localize_script( 'electio-mini-cart', 'electio_params', $script_params );
                    
                      wp_localize_script('electio-woo', 'electio_main_object', $main_values);


                }
            }


            if (is_singular() && comments_open() && get_option('thread_comments')) {
                wp_enqueue_script('comment-reply');
            }
        }




#-----------------------------------------------------------------#
# Register/Enqueue JS/CSS In Admin Panel
#-----------------------------------------------------------------#

        public function electio_register_admin_styles()
        {
            wp_enqueue_style('electio-admin-css', ELECTIO_URL . '/assets/css/admin.css');
            wp_enqueue_style('electio-iconly-css', ELECTIO_URL . '/assets/css/iconly.css');
        }


    }

    new Electio_Theme_Script;
}